| Flutter iOS Embedder |

Class Methods | Properties | List of all members
FlutterSharedApplication Class Reference

`#import <FlutterSharedApplication.h>`

Inheritance diagram for FlutterSharedApplication:

## Class Methods
(BOOL) | + isFlutterDeepLinkingEnabled

## Properties
BOOL | isAppExtension
BOOL | isAvailable
UIApplication * | application
BOOL | hasSceneDelegate
int64_t | lastAppModificationTime

## Detailed Description

Definition at line 12 of file FlutterSharedApplication.h.

## Method Documentation

## ◆ isFlutterDeepLinkingEnabled

+ (BOOL) isFlutterDeepLinkingEnabled |  |  |

Definition at line 12 of file FlutterSharedApplication.mm.

60 {
61 // Developers may disable deep linking through their Info.plist if they are using a plugin that
62 // handles deeplinking instead.
63 NSNumber* isDeepLinkingEnabled =
64 [[NSBundle mainBundle] objectForInfoDictionaryKey:@"FlutterDeepLinkingEnabled"];
65 // if not set, return YES
66 return isDeepLinkingEnabled ? [isDeepLinkingEnabled boolValue] : YES;
67 }

## Property Documentation

## ◆ application

- (UIApplication *) application
| read nonatomic assign

Returns the `UIApplication.sharedApplication` is available. Otherwise returns nil.

Definition at line 27 of file FlutterSharedApplication.h.

Referenced by SetStatusBarHiddenForSharedApplication(), and SetStatusBarStyleForSharedApplication().

## ◆ hasSceneDelegate

- (BOOL) hasSceneDelegate
| read nonatomic assign

Returns YES if any connected UIScene in the UIApplication has a delegate.

Definition at line 32 of file FlutterSharedApplication.h.

## ◆ isAppExtension

- (BOOL) isAppExtension
| read nonatomic assign

Returns YES if the main bundle is an iOS App Extension.

Definition at line 17 of file FlutterSharedApplication.h.

## ◆ isAvailable

- (BOOL) isAvailable
| read nonatomic assign

Returns YES if the UIApplication is available. UIApplication is not available for App Extensions.

Definition at line 22 of file FlutterSharedApplication.h.

## ◆ lastAppModificationTime

- (int64_t) lastAppModificationTime
| read nonatomic assign

Definition at line 34 of file FlutterSharedApplication.h.

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterSharedApplication.h
- shell/platform/darwin/ios/framework/Source/FlutterSharedApplication.mm